> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# الحصول على حساب

> يرجع تفاصيل حساب هيكلية مرئية لـ أساس API العام.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ar.json GET /v1/public/accounts/{account_id}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}:
    get:
      tags:
        - public-accounts
      summary: الحصول على حساب
      description: يرجع تفاصيل حساب هيكلية مرئية لـ أساس API العام.
      operationId: get_public_account_v1_public_accounts__account_id__get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: خطأ في التحقق
      security:
        - PublicBearerAuth: []
components:
  schemas:
    AccountResponse:
      properties:
        client:
          $ref: '#/components/schemas/AccountClientSummary'
          description: العميل الذي يملك الحساب
        created_at:
          description: الطابع الزمني لإنشاء الحساب
          format: date-time
          title: تاريخ الإنشاء
          type: string
        id:
          description: UUID الحساب
          format: uuid
          title: المعرّف
          type: string
        name:
          description: اسم العرض للحساب
          title: الاسم
          type: string
        status:
          description: حالة دورة حياة الحساب
          title: الحالة
          type: string
        updated_at:
          description: الطابع الزمني لآخر تحديث للحساب
          format: date-time
          title: تاريخ التحديث
          type: string
      required:
        - id
        - name
        - client
        - status
        - created_at
        - updated_at
      title: AccountResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: التفاصيل
          type: array
      title: HTTPخطأ تحقق
      type: object
    AccountClientSummary:
      description: ملخص عميل هيكلي مضمن في استجابات الحساب.
      properties:
        id:
          description: العميل UUID
          format: uuid
          title: المعرّف
          type: string
        name:
          description: اسم عرض العميل
          title: الاسم
          type: string
      required:
        - id
        - name
      title: AccountClientSummary
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: الموقع
          type: array
        msg:
          title: الرسالة
          type: string
        type:
          title: نوع الخطأ
          type: string
      required:
        - loc
        - msg
        - type
      title: خطأ تحقق
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````